﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Slides
{
    public partial class FormSlides : Form
    {
        Graphics g = null;

        public FormSlides()
        {
            InitializeComponent();

            g = CreateGraphics();
        }

        bool isMouseDown = false;
        Pen pen = new Pen(Color.Black);
        List<Point> line;
        private void FormSlides_MouseDown(object sender, MouseEventArgs e)
        {
            isMouseDown = true;
            line = new List<Point>();
            line.Add(new Point(e.X, e.Y));
        }

        private void FormSlides_MouseMove(object sender, MouseEventArgs e)
        {
            if (isMouseDown)
            {
                Point pLast = line[line.Count - 1];
                Point p = new Point(e.X, e.Y);
                line.Add(p);
                g.DrawLine(pen, pLast.X, pLast.Y, p.X, p.Y);
            }
        }

        private void FormSlides_MouseUp(object sender, MouseEventArgs e)
        {
            isMouseDown = false;
        }
    }
}